﻿If (votp1 >= 98) votp1 = votp2 .

RECODE
  votp1 (6=95) (7=95)  (98=95)  (99=95) (5=7) (8=5) (9=3) (10=6) (SYSMIS=95)  .
Val LAB votp1 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT" 95 "DISCRETS".

RECODE
  q4x
  (5=7)  (6=95)  (7=95)  (8=5)  (9=3) (10=6) (98=95)  (99=95)  (SYSMIS=95)  (Else=Copy)  INTO  q4xb .
var lab q4xb "Deuxième choix exprimé".
Val lab q4xb 0 "AUCUN" 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT" 95 "DISCRETS".

RECODE
  cons
 (10 = 5) (7 thru 9 = 4)  (4 thru 6 =3)  (1 thru 3 =2)  (0 =1)  INTO  autopos .
var lab autopos "Constellations".
Val lab autopos 1 "AUTOF+" 2 "AUTOF" 3 "AUTOC" 4 "AUTOS" 5 "AUTOS+".

RECODE
  autopos
  (2=1)  (4=5)  (Else=Copy)  INTO  autoposR .
VAR LAB. autoposR "Dimension nationale".
Val LAB autoposR 1 "Fédéalistes" 3 "Centristes" 5 "Souverainistes".

If (langm = 1 & age  <= 5 & (((occup =21 | occup = 97 | occup = 9 | occup = 11 | occup = 22)& (reven >=2 & reven <=7))) | occup = 10) GL = 1 .
If (langm = 1 & age  <= 5 & (occup = 12  | reven = 1)) GL = 2 .
If (langm = 1 & age = 6 & (occup = 9 |occup  = 11 | occup = 12 | occup = 22)) GL = 4 .
If ((langm = 2 | langm = 7) & age <= 5) GL = 5 .
If ((langm = 2 | langm = 7) & age = 6) GL = 6 .
var lab GL "Typologie".
Val lab GL 1 "GL1" 2 "GL2" 4 "GL4" 5 "GL5" 6 "GL6".

compute zones=regio.
recode zones (1,2,8,9,10,11=1) (5,12,17=2) (3=3) (13, 6=4) (14, 15=5) (16=6) (7=7) (4=8).
var lab zones "GRANDES RÉGIONS".
Val lab zones 1 "Qc sept." 2 "Bas St-Laur. Chau.-App. Estrie" 3 "RMR-Québec" 4 "Île de Mtl & Laval" 5 "Laur.-Lanau." 6 "Montérégie" 7 "Outaouais" 8 "Mauricie".

If (age = 1 & sexe = 1) strate = 1 .
If (age = 1 & sexe = 2) strate = 2 .
If (age = 2 & sexe = 1) strate = 1 .
If (age = 2  & sexe = 2) strate = 2 .
If (age = 3 & sexe = 1) strate = 5 .
If (age = 3 & sexe = 2) strate = 6 .
If (age = 4 & sexe = 1) strate = 5 .
If (age = 4 & sexe = 2) strate = 6 .
If (age = 5 & sexe = 1) strate = 9 .
If (age = 5 & sexe = 2) strate = 10 .
If (age = 6 & sexe = 1) strate = 11 .
If (age = 6 & sexe = 2) strate = 12 .

var lab strate "Strates".
Val lab strate 1 "H18-34" 2 "F18-34" 5 "H35-54" 6 "F35-54" 9 "H55-64" 10 "F55-64" 11 "H65+" 12 "F65+" .

DISCRIMINANT
  /GROUPS=votp1(1 3)
  /VARIABLES=langm cons age scola occup reven sexe q3 q5 zones
  /ANALYSIS All
  /SAVE=Class
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
COMPUTE votp1a = votp1 .
If missing(votp1a) | (votp1a = 95) votp1a = dis_1 .
var lab votp1a "INTENTIONS ÉLECTORALES".
Val lab votp1a 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".

COMPUTE
vote2echoix = votp1a.
If (votp1 <>q4xb) vote2echoix = q4xb .
If (vote2echoix = 0 | vote2echoix = 95) vote2echoix = votp1a.
var lab vote2echoix "Application du deuxième choix à tous les partis".
Val lab vote2echoix 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".

Execute .

COMPUTE
vote2echoixPLQ = votp1a.
If (votp1 <>q4xb & q4xb = 1) vote2echoixPLQ = q4xb .
var lab vote2echoixPLQ "Application du deuxième choix vers PLQ".
Val lab vote2echoixPLQ 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".

Execute .

COMPUTE
vote2echoixPQ = votp1a.
If (votp1 <>q4xb & q4xb = 2) vote2echoixPQ = q4xb .
var lab vote2echoixPQ "Application du deuxième choix vers PQ".
Val lab vote2echoixPQ 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".
Execute .

COMPUTE
vote2echoixCAQ = votp1a.
If (votp1 <>q4xb & q4xb = 3) vote2echoixCAQ = q4xb .
var lab vote2echoixCAQ "Application du deuxième choix vers CAQ".
Val lab vote2echoixCAQ 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".
Execute .

COMPUTE
vote2echoixQS = votp1a.
If (votp1 <>q4xb & q4xb = 4) vote2echoixQS = q4xb .
var lab vote2echoixQS "Application du deuxiéme choix vers QS".
Val lab vote2echoixQS 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".
Execute .

COMPUTE
vote2echoixPVQ = votp1a.
If (votp1 <>q4xb & q4xb = 5) vote2echoixPVQ = q4xb .
var lab vote2echoixPVQ "Application du deuxième choix vers PVQ".
Val lab vote2echoixPVQ 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".
Execute .

COMPUTE
vote2echoixON = votp1a.
If (votp1 <>q4xb & q4xb = 6) vote2echoixON = q4xb .
var lab vote2echoixON "Application du deuxième choix vers ON".
Val lab vote2echoixON 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".

COMPUTE
vote2echoixAUT = votp1a.
If (votp1 <>q4xb & q4xb = 7) vote2echoixAUT = q4xb .
var lab vote2echoixAUT "Application du deuxième choix vers AUT".
Val lab vote2echoixAUT 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".
Execute .

If (votp1a = 1 & q4xb = 0) transferts = 1 .
If (votp1a = 1 & q4xb = 2) transferts = 2 .
If (votp1a = 1 & q4xb = 3) transferts = 3 .
If (votp1a = 1 & q4xb = 4) transferts = 4 .
If (votp1a = 1 & q4xb = 5) transferts = 5 .
If (votp1a = 1 & q4xb = 6) transferts = 6 .
If (votp1a = 1 & q4xb = 7) transferts = 7 .
If (votp1a = 1 & q4xb = 95) transferts = 1 .


If (votp1a = 2 & q4xb = 0) transferts = 11 .
If (votp1a = 2 & q4xb = 1) transferts = 12 .
If (votp1a = 2 & q4xb = 3) transferts = 13 .
If (votp1a = 2 & q4xb = 4) transferts = 14 .
If (votp1a = 2 & q4xb = 5) transferts = 15 .
If (votp1a = 2 & q4xb = 6) transferts = 16 .
If (votp1a = 2 & q4xb = 7) transferts = 17 .
If (votp1a = 2 & q4xb = 95) transferts = 11 .


If (votp1a = 3 & q4xb = 0) transferts = 21 .
If (votp1a = 3 & q4xb = 1) transferts = 22 .
If (votp1a = 3 & q4xb = 2) transferts = 23 .
If (votp1a = 3 & q4xb = 4) transferts = 24 .
If (votp1a = 3 & q4xb = 5) transferts = 25 .
If (votp1a = 3 & q4xb = 6) transferts = 26 .
If (votp1a = 3 & q4xb = 7) transferts = 27 .
If (votp1a = 3 & q4xb = 95) transferts = 21 .


If (votp1a = 4 & q4xb = 0) transferts = 31 .
If (votp1a = 4 & q4xb = 1) transferts = 32 .
If (votp1a = 4 & q4xb = 2) transferts = 33 .
If (votp1a = 4 & q4xb = 3) transferts = 34 .
If (votp1a = 4 & q4xb = 5) transferts = 35 .
If (votp1a = 4 & q4xb = 6) transferts = 36 .
If (votp1a = 4 & q4xb = 7) transferts = 37 .
If (votp1a = 4 & q4xb = 95) transferts = 31 .


If (votp1a = 5 & q4xb = 0) transferts = 41 .
If (votp1a = 5 & q4xb = 1) transferts = 42 .
If (votp1a = 5 & q4xb = 2) transferts = 43 .
If (votp1a = 5 & q4xb = 3) transferts = 44 .
If (votp1a = 5 & q4xb = 4) transferts = 45 .
If (votp1a = 5 & q4xb = 6) transferts = 46 .
If (votp1a = 5 & q4xb = 7) transferts = 47 .
If (votp1a = 5 & q4xb = 95) transferts = 41 .

If (votp1a = 6 & q4xb = 0) transferts = 51 .
If (votp1a = 6 & q4xb = 1) transferts = 52 .
If (votp1a = 6 & q4xb = 2) transferts = 53 .
If (votp1a = 6 & q4xb = 3) transferts = 54 .
If (votp1a = 6 & q4xb = 4) transferts = 55 .
If (votp1a = 6 & q4xb = 5) transferts = 56 .
If (votp1a = 6 & q4xb = 7) transferts = 57 .
If (votp1a = 6 & q4xb = 95) transferts = 51 .

If (votp1a = 7 & q4xb = 0) transferts = 61 .
If (votp1a = 7 & q4xb = 1) transferts = 22 .
If (votp1a = 7 & q4xb = 2) transferts = 63 .
If (votp1a = 7 & q4xb = 3) transferts = 64 .
If (votp1a = 7 & q4xb = 4) transferts = 65 .
If (votp1a = 7 & q4xb = 5) transferts = 66 .
If (votp1a = 7 & q4xb = 6) transferts = 67 .
If (votp1a = 7 & q4xb = 7) transferts = 61 .
If (votp1a = 7 & q4xb = 95) transferts = 61 .

VAR lab transferts "transferts vers un second choix électoral".

Val lab transferts 1 'PLQ->AUCUN' 2 'PLQ->PQ' 3 'PLQ->CAQ' 4 'PLQ->QS' 5 'PLQ->PVQ'  6 'PLQ->ON' 7 'PLQ->AUT'
 11 'PQ->AUCUN' 12 'PQ->PLQ' 13 'PQ->CAQ' 14 'PQ->QS' 15 'PQ->PVQ'  16 'PQ->ON' 17 'PQ->AUT'
 21 'CAQ->AUCUN' 22 'CAQ->PLQ' 23 'CAQ->PQ' 24 'CAQ->QS' 25 'CAQ->PVQ'  26 'CAQ->ON' 27 'CAQ->AUT'
31 'QS->AUCUN' 32 'QS->PLQ' 33 'QS->PQ' 34 'QS->CAQ' 35 'QS->PVQ'  36 'QS->ON' 37 'QS->AUT'
41 'PVQ->AUCUN' 42 'PVQ->PLQ' 43 'PVQ->PQ' 44 'PVQ->CAQ' 45 'PVQ->QS'  46 'PVQ->ON' 47 'PVQ->AUT'
51 'ON->AUCUN' 52 'ON->PLQ' 53 'ON->PQ' 54 'ON->CAQ' 55 'ON->QS'  56 'ON->PVQ' 57 'ON->AUT'
61 'AUT->AUCUN' 62 'AUT->PLQ' 63 'AUT->PQ' 64 'AUT->CAQ' 65 'AUT->QS'  66 'AUT->PVQ' 67 'AUT->ON'.

Execute .

USE ALL.
IF (age <= 2) cohorteR = 1.
IF (age >= 3 AND age <= 5) cohorteR = 2.
IF (age = 6) cohorteR =3.
VARIABLE LABEL cohorteR 'Cohortes regroupées d âges' .
VALUE LABELS cohorteR 1 'Moins de 35 ans' 2 '35 ans à 64 ans' 3 '65 ans et plus' .
EXECUTE .

FREQUENCIES
  VARIABLES=votp1 votp1a
  /ORDER=  ANALYSIS .
CROSSTABS
  /TABLES=langm  BY votp1a
  /Format= AVALUE TABLES
  /CELLS= ROW
  /COUNT Round CELL .

Execute .
